package de.ivu.elect.interfaces.core;

import java.io.Serializable;
import java.util.Objects;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class WahlhelferEinsatzOrtReferenz implements Serializable {

  private static final long serialVersionUID = 1L;

  @XmlElement(required = true)
  private WahlhelferEinsatzOrtArt wahlhelfereinsatzortArt;

  @XmlElement(required = true)
  private String nummer;

  public WahlhelferEinsatzOrtArt getWahlhelfereinsatzortArt() {
    return wahlhelfereinsatzortArt;
  }

  public void setWahlhelfereinsatzortArt(WahlhelferEinsatzOrtArt wahlhelfereinsatzortArt) {
    this.wahlhelfereinsatzortArt = wahlhelfereinsatzortArt;
  }

  public String getNummer() {
    return nummer;
  }

  public void setNummer(String nummer) {
    this.nummer = nummer;
  }

  @Override
  public String toString() {
    return "WahlhelferEinsatzOrtReferenz{" + "wahlhelfereinsatzortArt=" + wahlhelfereinsatzortArt + ", nummer=" + nummer
        + '}';
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    WahlhelferEinsatzOrtReferenz that = (WahlhelferEinsatzOrtReferenz) o;
    return wahlhelfereinsatzortArt == that.wahlhelfereinsatzortArt && Objects.equals(nummer, that.nummer);
  }

  @Override
  public int hashCode() {
    return Objects.hash(wahlhelfereinsatzortArt, nummer);
  }
}
